GPU-BURN(8)

NAME
gpu-burn - Multi-GPU CUDA stress test

SYNOPSIS
gpu-burn [OPTIONS] [TIME]

DESCRIPTION
GPU Burn

-m X Use X MB of memory.
-m N% Use N% of the available GPU memory. Default is 90%
-d Use doubles
-tc Try to use Tensor cores
-l Lists all GPUs in the system
-i N Execute only on GPU N
-c FILE Use FILE as compare kernel. Default is compare.ptx
-stts T Set timeout threshold to T seconds for using SIGTERM to abort child processes before using SIGKILL. Default is 30
-h Show this help message

EXAMPLES

    gpu-burn -d 3600 # burns all GPUs with doubles for an hour
    gpu-burn -m 50% # burns using 50% of the available GPU memory
    gpu-burn -l # list GPUs
    gpu-burn -i 2 # burns only GPU of index 2